#!/bin/sh

exec > logs/update.log
exec 2>&1

pkg=$1
idx=$(basename "$PWD")

# backup files
rm -rf ../evbackup
mkdir ../evbackup
mv *.xml *.key timezone edvr logs audit blob eventpi.db pospi.db ../evbackup

upload_vadp stop $idx

cp "$pkg" /mnt/ramdisk/vadp_package.tar.gz
cd ..
upload_vadp upload

idx=$(ls [0-9]/edvrserver.tar.gz [0-9]/ExacqVision | head -n1 | xargs dirname)
if [ -n "$idx" ]; then
  mv evbackup/* $idx
  rm -rf evbackup
  exec < /dev/null
  upload_vadp start $idx
fi
